/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.ListInstance;

import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.DisclosurePanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.ListBox;
import com.google.gwt.user.datepicker.client.DateBox;
import org.ow2.orchestra.console.GWTConsole.client.Commons.celltable.ConsoleCellTable;
import org.ow2.orchestra.console.GWTConsole.client.Commons.celltable.ConsolePager;
import org.ow2.orchestra.facade.runtime.ActivityState;

import java.util.Date;

/**
 * The interface of ListInstance
 * 
 * @author Jean-Yves Goubet
 * 
 */
public interface VListInstanceIF {
  ConsoleCellTable<MInstance> getTable();
  ConsolePager getPager();
  Button getFilter();
  Button getClear();
  ListBox getState();
  DateBox getStartFrom();
  DateBox getStartTo();
  void setStartFrom(Date d);
  void setStartTo(Date d);
  DateBox getEndFrom();
  void setEndFrom(Date d);
  void setEndTo(Date d);
  DateBox getEndTo();
  Image getImageFilterDisclosure();
  DisclosurePanel getDisclosuredPanel();
}
