/*******************************************************************************
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.ListProcessActivity;


import com.google.gwt.user.client.rpc.IsSerializable;


/**
 * model class used to store details of process activities
 * (pick onMessage and onAlarm, scope fault handlers...)
 *
 * @author Guillaume Porcher
 */
public final class MProcessSubActivity implements IsSerializable {

  private String type = null;
  private String childActivity = null;


  public MProcessSubActivity(
          final String type,
          final String childActivity) {
    this.type = type;
    this.childActivity = childActivity;
  }

  protected MProcessSubActivity() {

  }

  /**
   * @return the type of this sub activity (ON_ALARM, ON_MESSAGE...)
   */
  public String getType() {
    return this.type;
  }

  /**
   * @return the child activity of this sub activity.
   */
  public String getChildActivity() {
    return this.childActivity;
  }
}
