/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.listMessages;


import com.google.gwt.user.client.rpc.IsSerializable;
import java.util.Date;


/**
 * model class used to store information of the message
 *
 * @author Guillaume Porcher
 */
public final class MMessage implements IsSerializable {

  protected long messageId;

  protected String message;

  protected String processQName;

  protected String portTypeQName;

  protected String operationName;

  protected boolean isOneWay;

  protected Date addedDate;

  public MMessage(
          final long messageId,
          final String message,
          final String processQName,
          final String portTypeQName,
          final String operationName,
          final boolean oneWay,
          final Date addedDate) {
    this.messageId = messageId;
    this.message = message;
    this.processQName = processQName;
    this.portTypeQName = portTypeQName;
    this.operationName = operationName;
    isOneWay = oneWay;
    this.addedDate = addedDate;
  }

  private MMessage() {
  }

  public long getMessageId() {
    return messageId;
  }

  public String getMessage() {
    return message;
  }

  public String getProcessQName() {
    return processQName;
  }

  public String getPortTypeQName() {
    return portTypeQName;
  }

  public String getOperationName() {
    return operationName;
  }

  public boolean isOneWay() {
    return isOneWay;
  }

  public Date getAddedDate() {
    return addedDate;
  }
}
